# WinStd: winstd::UnmapViewOfFile_delete< _Ty > Struct Template Reference

winstd::UnmapViewOfFile_delete< _Ty > Struct Template Reference
Windows API

Deleter for unique_ptr using UnmapViewOfFile. More...

`#include <WinStd/Win.h>`

## Public Types

typedef UnmapViewOfFile_delete< _Ty > | _Myt
| This type.

## Public Member Functions

| UnmapViewOfFile_delete ()
| Default construct.
template<class _Ty2 >
| UnmapViewOfFile_delete (const UnmapViewOfFile_delete< _Ty2 > &)
| Construct from another UnmapViewOfFile_delete.
void | operator() (_Ty *_Ptr) const
| Delete a pointer.

## Detailed Description

template<class _Ty>
struct winstd::UnmapViewOfFile_delete< _Ty >

Deleter for unique_ptr using UnmapViewOfFile.

The documentation for this struct was generated from the following file:

- include/WinStd/Win.h